View Javadoc

    1   package net.sourceforge.pmd.benchmark;
    2
    3   import java.io.PrintStream;
    4   import java.util.Map;
    5   import java.util.Set;
    6
    7   /**
    8    *
    9    * @author Brian Remedios
    10   */
    11  public interface BenchmarkReport {
    12
    13  	/**
    14  	 *
    15  	 * @param stressResults
    16  	 * @param out
    17  	 */
    18  	void generate(Set<RuleDuration> stressResults, PrintStream out);
    19
    20  	/**
    21  	 *
    22  	 * @param benchmarksByName
    23  	 * @param out
    24  	 */
    25  	void generate(Map<String, BenchmarkResult> benchmarksByName, PrintStream out);
    26  }